<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <scenario>

    <name>Bombable: height four Su 33 near you</name>

    <description>
      This scenario puts four Sukhoi Su 33 in the skies near
      your position.

      Install this scenario in the FlightGear/data/AI directory.

      BARANGER Emmanuel 05/2025
    </description>

    <nasal>
      <load>
        <![CDATA[
          var position  = geo.aircraft_position();
          var elevation = geo.elevation( position.lat(), position.lon() );
          position.set_alt( elevation != nil ? elevation : 0.0 );

          foreach( var tanker; props.globals.getNode("/ai/models",1).getChildren("tanker") ) {
            var callsign = tanker.getNode("callsign").getValue();
            if ( callsign == nil ) {
              continue;
            }
            if ( string.match(callsign,"SU33*") ) {
              tanker.getNode("position/latitude-deg",1).setDoubleValue( position.lat() - (0.002 * rand()) );
              tanker.getNode("position/longitude-deg",1).setDoubleValue( position.lon() - (0.002 * rand()) );
              tanker.getNode("position/altitude-ft", 1).setDoubleValue( position.alt() + 15000 );
              }
          }
          debug.dump('Sukhoi Su 33 scenario load script complete');
        ]]>
      </load>
    </nasal>

    <entry>
      <callsign type="string">SU33Baron</callsign>
      <type>tanker</type>
      <class>tanker</class>
      <name     type="string">SU33_1</name>
      <model    type="string">Aircraft/Sukhoi-Su-33/Models/su33.xml</model>
      <speed    type="double">800.0</speed>
    </entry>

    <entry>
      <callsign type="string">SU33Storm</callsign>
      <type>tanker</type>
      <class>tanker</class>
      <name     type="string">SU33_2</name>
      <model    type="string">Aircraft/Sukhoi-Su-33/Models/su33.xml</model>
      <speed    type="double">800.0</speed>
    </entry>

    <entry>
      <callsign type="string">SU33Winger</callsign>
      <search-order>PREFER_AI</search-order>
      <type>tanker</type>
      <class>tanker</class>
      <name     type="string">SU33_3</name>
      <model    type="string">Aircraft/Sukhoi-Su-33/Models/su33.xml</model>
      <speed    type="double">800.0</speed>
    </entry>

    <entry>
      <callsign type="string">SU33Support</callsign>
      <search-order>PREFER_AI</search-order>
      <type>tanker</type>
      <class>tanker</class>
      <name     type="string">SU33_4</name>
      <model    type="string">Aircraft/Sukhoi-Su-33/Models/su33.xml</model>
      <speed    type="double">800.0</speed>
    </entry>

  </scenario>

</PropertyList>
